#include <stdio.h>

#include "digraph.h"
#include "crawler.h"
#include "pagerank.h"

#define MAX_V 8192
#define MAX_S 512

int main (int argc, char* argv[])
{
    Digraph G;
    
    if (argc == 1) {
        fprintf(stderr, "USO: %s <dominio>\n", argv[0]);
        exit(-1);
    }

    G = DIGRAPHinit(MAX_V);
    crawler(argv[1], G);
    pagerank(G);

    /* 
     * INICIALIZAR G
     * chamar o crawler
     * (esperar ele terminar um dia...)
     * chamar page rank
     * exibir resultado
     */


    return 0;
}

